
Ruby - Bug #13304

public function rb_thread_fd_close is removed at r57422

03/12/2017 07:06 PM - naruse (Yui NARUSE)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v:  Backport: 2.2: DONTNEED, 2.3: DONTNEED, 2.4:

DONE

Description

It hits abi-check:

http://rubyci.org/logs/www.rubyist.net/~akr/chkbuild/debian/ruby-2.4/log/20170312T170653Z.log.html.gz#abi-check

Associated revisions

Revision c617568c53923acdcf7f15589d8705fe80a6f47c - 03/13/2017 02:14 AM - nobu (Nobuyoshi Nakada)

thread.c: rb_thread_fd_close [ci skip]

thread.c (rb_thread_fd_close): re-define only for abi-check,

abort if called.  [ruby-core:80078] [Bug #13304]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57948 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision c617568c - 03/13/2017 02:14 AM - nobu (Nobuyoshi Nakada)

thread.c: rb_thread_fd_close [ci skip]

thread.c (rb_thread_fd_close): re-define only for abi-check,

abort if called.  [ruby-core:80078] [Bug #13304]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57948 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ea7af54e73882c96b24407b350c65d33a74eae2f - 03/13/2017 05:30 AM - nobu (Nobuyoshi Nakada)

thread.c: rb_thread_fd_close [ci skip]

thread.c (rb_thread_fd_close): remove deprecated. a couple of

external libraries used it.  [ruby-core:80078] [Bug #13304]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57950 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ea7af54e - 03/13/2017 05:30 AM - nobu (Nobuyoshi Nakada)

thread.c: rb_thread_fd_close [ci skip]

thread.c (rb_thread_fd_close): remove deprecated. a couple of

external libraries used it.  [ruby-core:80078] [Bug #13304]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@57950 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 319e440d0fa59c3cc269e6c7be556b4beb22c328 - 03/13/2017 09:28 AM - naruse (Yui NARUSE)

merge revision(s) 57948,57950: [Backport #13304]

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): re-define only for abi-check,

      abort if called.  [ruby-core:80078] [Bug #13304]

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): remove deprecated. a couple of

      external libraries used it.  [ruby-core:80078] [Bug #13304]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57959 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 319e440d - 03/13/2017 09:28 AM - naruse (Yui NARUSE)
http://rubyci.org/logs/www.rubyist.net/~akr/chkbuild/debian/ruby-2.4/log/20170312T170653Z.log.html.gz#abi-check


merge revision(s) 57948,57950: [Backport #13304]

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): re-define only for abi-check,

      abort if called.  [ruby-core:80078] [Bug #13304]

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): remove deprecated. a couple of

      external libraries used it.  [ruby-core:80078] [Bug #13304]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_4@57959 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3f7e008443ea40a5747fade85bb9a915cebc2a1b - 04/09/2017 01:26 PM - U.Nakamura 

merge revision(s) 57948,57949,57950:

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): re-define only for abi-check,

      abort if called.  [ruby-core:80078] [Bug #13304]

    thread.c: rb_thread_fd_close no longer returns

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): remove deprecated. a couple of

      external libraries used it.  [ruby-core:80078] [Bug #13304]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58289 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 3f7e0084 - 04/09/2017 01:26 PM - U.Nakamura 

merge revision(s) 57948,57949,57950:

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): re-define only for abi-check,

      abort if called.  [ruby-core:80078] [Bug #13304]

    thread.c: rb_thread_fd_close no longer returns

    thread.c: rb_thread_fd_close [ci skip]

    * thread.c (rb_thread_fd_close): remove deprecated. a couple of

      external libraries used it.  [ruby-core:80078] [Bug #13304]

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_3@58289 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 03/13/2017 02:14 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

Applied in changeset r57948.

thread.c: rb_thread_fd_close [ci skip]

thread.c (rb_thread_fd_close): re-define only for abi-check,

abort if called.  [ruby-core:80078] [Bug #13304]

#2 - 03/13/2017 11:52 AM - naruse (Yui NARUSE)

- Backport changed from 2.2: DONTNEED, 2.3: DONTNEED, 2.4: REQUIRED to 2.2: DONTNEED, 2.3: DONTNEED, 2.4: DONE

ruby_2_4 r57959 merged revision(s) 57948,57950.
